Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008613TestLinkUser Interface Generalpublic2019-04-01 18:462019-04-19 18:39
Reportermrpsycho 
Assigned Tofman 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
Platformphp7.2-fpmOSubuntuOS Version18.04
Product Version1.9.19 (2019 Q1) 
Fixed in Version 
Summary0008613: Email field cannot set mail for domain example.studio
Descriptionhello

we have domain in .studio zone, and it is not possible to add this mail to user via gui
Steps To Reproducelog in as admin
go to users
select user
try to update mail to user@domain.studio
notice warning
TagsNo tags attached.
Database (MySQL,Postgres,etc)mariasb
Browserchrome
PHP Version7.2
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0028635)
fman (administrator)
2019-04-01 21:10

current javascript email validation function does not allow this.
one option is to remove the validation and accept anything.
(0028715)
fman (administrator)
2019-04-13 16:27

try configuring this way

$tlCfg->validation_cfg->user_email_valid_regex_js = "/^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/";
(0028741)
fman (administrator)
2019-04-19 18:39

no more user feedback

- Issue History
Date Modified Username Field Change
2019-04-01 18:46 mrpsycho New Issue
2019-04-01 21:10 fman Note Added: 0028635
2019-04-13 16:27 fman Note Added: 0028715
2019-04-13 16:27 fman Assigned To => fman
2019-04-13 16:27 fman Status new => feedback
2019-04-19 18:39 fman QA Team - Task Workflow Status => TBD
2019-04-19 18:39 fman Note Added: 0028741
2019-04-19 18:39 fman Status feedback => closed
2019-04-19 18:39 fman Resolution open => fixed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker